Failed to emerge dev-libs/cudnn-6.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Failed to emerge dev-libs/cudnn-6.0

Hubert Hauser
The commands sudo -i emerge -av dev-libs/cudnn results an error:

(tensorflow) pecan@tux ~ $ sudo -i emerge -av dev-libs/cudnn

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N F  ~] dev-libs/cudnn-6.0:0/6::gentoo  196,421 KiB

Total: 1 package (1 new), Size of downloads: 196,421 KiB
Fetch Restriction: 1 package (1 unsatisfied)

Fetch instructions for dev-libs/cudnn-6.0:
 * The following files cannot be fetched for cudnn:
 *    cudnn-8.0-linux-x64-v6.0.tgz

Would you like to merge these packages? [Yes/No] Yes

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) dev-libs/cudnn-6.0::gentoo

!!! dev-libs/cudnn-6.0 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

 * Fetch failed for 'dev-libs/cudnn-6.0', Log file:
 *  '/var/log/portage/build/dev-libs/cudnn-6.0:20171008-103145.log'
 * The following files cannot be fetched for cudnn:
 *    cudnn-8.0-linux-x64-v6.0.tgz

>>> Failed to emerge dev-libs/cudnn-6.0, Log file:

>>>  '/var/log/portage/build/dev-libs/cudnn-6.0:20171008-103145.log'

 * Messages for package dev-libs/cudnn-6.0:

 * The following files cannot be fetched for cudnn:
 *    cudnn-8.0-linux-x64-v6.0.tgz

 * Messages for package dev-libs/cudnn-6.0:

 * Fetch failed for 'dev-libs/cudnn-6.0', Log file:
 *  '/var/log/portage/build/dev-libs/cudnn-6.0:20171008-103145.log'
 * The following files cannot be fetched for cudnn:
 *    cudnn-8.0-linux-x64-v6.0.tgz

/var/log/portage/build/dev-libs/cudnn-6.0:20171008-103145.log file:

!!! dev-libs/cudnn-6.0 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

 * Fetch failed for 'dev-libs/cudnn-6.0', Log file:
 * 
'/var/log/portage/build/dev-libs/cudnn-6.0:20171008-103145.log'
 * Package:    dev-libs/cudnn-6.0
 * Repository: gentoo
 * Maintainer: [hidden email]
 * USE:        abi_x86_64 amd64 elibc_glibc
kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
 * The following files cannot be fetched for cudnn:
 *    cudnn-8.0-linux-x64-v6.0.tgz

Can anyone help me?


Reply | Threaded
Open this post in threaded view
|

Re: Failed to emerge dev-libs/cudnn-6.0

Neil Bothwick
On Sun, 8 Oct 2017 12:35:38 +0200, Hubert Hauser wrote:

> >>> Verifying ebuild manifests  
>
> >>> Emerging (1 of 1) dev-libs/cudnn-6.0::gentoo  
>
> !!! dev-libs/cudnn-6.0 has fetch restriction turned on.
> !!! This probably means that this ebuild's files must be downloaded
> !!! manually.  See the comments in the ebuild for more information.
>
>  * Fetch failed for 'dev-libs/cudnn-6.0', Log file:
>  *  '/var/log/portage/build/dev-libs/cudnn-6.0:20171008-103145.log'
>  * The following files cannot be fetched for cudnn:
>  *    cudnn-8.0-linux-x64-v6.0.tgz
Like it says, the files cannot be downloaded by portage. This is usually
because you have to accept some sort of licence agreement before
downloading. You need to download the file specified, probably from
https://developer.nvidia.com/cuDNN and place it in $DISTDIR
(/usr/portage/distfiles by default) then run the emerge command again.



--
Neil Bothwick

Top Oxymorons Number 21: "Now, then ..."

attachment0 (849 bytes) Download Attachment